@charset "UTF-8";

html {
  font-size: 100%;
}

body {
  font-family: "Noto Sans JP", sans-serif;
  color: #AC0303;
  background-image: url(../img/top/bg.jpg);
  letter-spacing: 0.05em;
  width: 100%;
  max-height: 100vh;
}

img {
  /* SPの長押し禁止 */
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -moz-touch-callout: none;
  -moz-user-select: none;
  user-select: none;
}

.wrapper {
  margin: 0 auto;
  padding: 4rem 4rem 0;
  text-align: center;
  max-width: 1200px;
  min-width: 578px;
}

.wrapper1 {
  width: 100%;
  margin: 0 auto;
  text-align: center;
  max-width: none;
  min-width: 578px;
}

@media (max-width: 578px) {
  .scale-wrapper {
    transform: scale(calc(100vw / (var(--base-width) * 1px)));
    transform-origin: top left;
    height: calc(100% * var(--scale));
  }
}

.section-title {
  font-size: 2.5rem;
  letter-spacing: 0.15em;
  display: inline-block;
  padding: 5px 30px 0px;
  margin: 0.3rem 0 3rem;
  font-family: "myfont", sans-serif;
  color: #ECDCBF;
  background: #AC0303;
  border-radius: 10px;
  border: 1px solid #080604;
  box-shadow: 0 0 0 7px #EED233, 0 0 0 9px #080604;
  line-height: 1.3;
}

/* フェードインさせる要素 */
.block {
  opacity: 0;
  transition: 1000ms;
}

/* フェードイン用のクラス */
.fadeIn {
  opacity: 1;
}

@font-face {
  font-family: "myfont";
  src: url("../font/KeeponTruckin.ttf") format("truetype");
  font-display: swap;
}

span {
  display: inline-block;
}

ul {
  padding-inline-start: 0px;
}

/*-------------------------------------------
MainVisual
-------------------------------------------*/
/* =========================
  MainVisual 共通
========================= */
#top {
  height: 90vh;
}

#mainvisual {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  object-fit: cover;
  margin: 0 auto;
}

/* KV画像共通 */
.kv {
  position: absolute;
  width: 100%;
  height: 90vh;
  object-fit: cover;
}

/* =========================
  PC（横長）
========================= */
@media (min-aspect-ratio: 1/1) {
  .pc_kv {
    display: block;
  }

  .sp_kv {
    display: none;
  }
}

/* =========================
  SP（縦長）
========================= */
@media (max-aspect-ratio: 1/1) {
  .pc_kv {
    display: none;
  }

  .sp_kv {
    display: block;
  }
}

/* =========================
  logo
========================= */

.logo {
  display: block;
  z-index: 2;
  max-width: 1000px;
  max-height: 80vh;
  max-width: 90%;
}

.char {
  transform-box: fill-box;
  transform-origin: center;
  transform: scale(0);
  /* opacity: 0; */
}

/* 発火 */
.logo.active .char {
  animation: pop 0.6s ease forwards;
  animation-delay: calc(var(--i) * 0.08s);
}

@keyframes pop {
  0% {
    transform: scale(0);
    opacity: 0;
  }

  60% {
    transform: scale(1.25);
  }

  100% {
    transform: scale(1);
    opacity: 1;
  }
}

/* =========================
  ロゴsvg
========================= */
.cls-1 {
  fill: #040000;
}

.cls-1,
.cls-2,
.cls-3,
.cls-4,
.cls-5,
.cls-6,
.cls-7 {
  stroke: #040000;
  stroke-miterlimit: 10;
  stroke-width: .5px;
}

.cls-2 {
  fill: #0b83b5;
}

.cls-3 {
  fill: #e29044;
}

.cls-4 {
  fill: #96306a;
}

.cls-5 {
  fill: #35a14e;
}

.cls-6 {
  fill: #a24b96;
}

.cls-7 {
  fill: #eaeaea;
}

/*-------------------------------------------
MENU
-------------------------------------------*/
#menu {
  background-color: #AC0303;
  overflow: hidden;
  font-size: 1.3rem;
  font-family: "Arial Rounded MT Bold", sans-serif;
}

#menu ul {
  margin: 15px;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  /* padding: 0; */
  /* list-style: none; */
}

#menu li a {
  text-decoration: none;
  color: #ECDCBF;
}

#menu li a:hover {
  opacity: 0.7;
}

/*-------------------------------------------
NEWS
-------------------------------------------*/
#news ul {
  margin: 0;
}

#news li {
  text-align: left;
  padding: 10px 20px;
  background: #F2F2F2;
  font-weight: bold;
  list-style: none;
  border: 2.5px solid #AC0303;
}

#news li a {
  color: #AC0303;
  text-decoration: none;
}

#news li span {
  font-size: 15px;
  color: #AC0303;
}

#news li p {
  font-size: 20px;
  margin: 5px 0;
}

#news li p:hover {
  opacity: 0.7;
}

/*-------------------------------------------
SCHEDULE
-------------------------------------------*/
.marquee {
  border: solid #AC0303;
  border-width: 0 30px;
}

.frame-top,
.frame-bottom {
  display: block;
  width: calc(100% + 54px);
  margin-left: -26px;
}

#schedule .content {
  text-align: left;
  padding: 15px 4%;
  background: #F2F2F2;
}

#schedule table {
  border-bottom: 2px solid #ac030381;
}

#schedule table tr:first-child th {
  font-size: 14px;
}

#schedule table td {
  border-top: 2px solid #ac030381;
}

#schedule table .date {
  width: 10%;
  padding-left: 10px;
}

#schedule table .venue_area {
  width: 25%;
}

#schedule table .venue_place {
  width: 100%;
}

#schedule table .time {
  width: 11%;
}

#schedule table td.date {
  font-weight: bold;
  font-size: 23px;
}

#schedule table .date .week {
  font-size: 14px;
  margin-left: 5px;
}

#schedule table td.time {
  font-size: 18px;
  font-weight: bold;
  letter-spacing: 0;
}

#schedule table .venue {
  width: 30%;
  line-height: 1.5;
  font-size: 20px;
}

#schedule table .venue_wrap {
  display: flex;
  font-weight: bold;
  padding: 0 10px;
  align-items: center;
}

/*-------------------------------------------
TICKET
-------------------------------------------*/
#ticket .content {
  text-align: left;
  font-weight: bold;
  background: #F2F2F2;
  padding: 30px 8%;
  border: 2.5px solid #AC0303;
}

.ticket-price {
  width: 100%;
  max-width: 550px;
  margin: 15px auto 30px;
  mix-blend-mode: darken;
}

.ticket-price p {
  display: flex;
  justify-content: space-between;
  position: relative;
  margin: 0 0 8px;
  align-items: center;
}

.ticket-price span:nth-child(1) {
  padding-right: 0.6em;
  text-align: center;
  font-size: 30px;
}

.ticket-price span {
  background: #F2F2F2;
  position: relative;
  z-index: 2;
}

.ticket-price span:nth-child(2) {
  padding-left: 0.6em;
  font-size: 30px;
}

.ticket-price small {
  font-size: 70%;
  margin-left: 0.4em;
}

.ticket-price h4 {
  text-align: center;
  margin-top: 28px;
  margin-bottom: 5px;
  font-size: 18px;
}

.ticket-price p:after {
  content: "";
  width: 100%;
  position: absolute;
  border-bottom: dotted 2px #AC0303;
}

#ticket .border {
  border-bottom: 2px solid #AC0303;
}

#ticket .txt {
  font-size: 14px;
  font-weight: normal;
}

#ticket h3 {
  margin: 20px 0 10px;
}

#ticket .entry {
  font-size: 18px;
  margin: unset;
}

#ticket .entry span {
  font-size: 18px;
}

.button {
  margin: 15px 0 0;
  text-align: center;
}

.button a {
  display: inline-block;
  background: #AC0303;
  font-weight: bold;
  padding: 5px 2em;
  color: #F1EADC;
  font-size: 23px;
  text-decoration: none;
  width: 100%;
}

@media (hover: hover) {
  .button a:hover {
    background: #fff;
    color: #AC0303;
    transition: 0.4s;
    outline: 2.5px solid #AC0303;
  }
}

@media (hover: none) {
  .button a:active {
    background: #fff;
    color: #AC0303;
    transition: 0.4s;
    outline: 2.5px solid #AC0303;
  }
}

/*-------------------------------------------
GOODS
-------------------------------------------*/
#goods p {
  font-size: 1.3rem;
  margin: 0;
}

/*-------------------------------------------
MOVIE
-------------------------------------------*/
.heading-32 {
  display: flex;
  align-items: center;
  position: relative;
  padding: 1.1em 1.4em 1.1em 1em;
  background-color: #AC0303;
  color: #ECDCBF;
}

.heading-32::before {
  position: absolute;
  left: 5px;
  width: calc(100% - 10px);
  height: 65%;
  border-top: 10px dashed #ECDCBF;
  border-bottom: 10px dashed #ECDCBF;
  content: '';
}

#movie {
  padding: 4rem 0;
  max-width: none;
}

.film {
  overflow: hidden;
  padding: 35px 0;
  background: #AC0303;
  position: relative;
}

.track {
  display: flex;
  gap: 40px;
}

iframe {
  /* max-width: 90%;
  max-height: 80vh; */
  height: auto;
  object-fit: contain;

  width: calc(100vw / 3);
  aspect-ratio: 16/9;
  border: 0;
  flex-shrink: 0;
}


/* フィルム穴 */
.film::before,
.film::after {
  content: "";
  position: absolute;
  left: 0;
  width: 100%;
  height: 13px;
  /* background: repeating-linear-gradient(to right, #ECDCBF 0 20px, transparent 20px 30px); */
  background: repeating-linear-gradient(to right, #ECDCBF 10px 30px, transparent 30px 40px)
}

.film::before {
  top: 10px;
}

.film::after {
  bottom: 10px;
}

/*-------------------------------------------
Footer
-------------------------------------------*/
footer {
  text-align: center;
  background: #AC0303;
  min-width: 578px;
}

footer a {
  color: #FFFAE5;
  text-decoration: none;
  font-size: 15px;
}

footer a:hover {
  opacity: 0.8;
  text-decoration: underline;
  text-underline-offset: 0.4ex;
}

footer .footerlink {
  margin: 0 auto;
}

footer p {
  padding: 10px 0;
  font-size: 10px;
  margin-bottom: auto;
  color: #FFFAE5;
}

footer ul.sns {
  margin-top: 0;
  text-align: center;
  padding: 30px 0 0 0;
}

footer ul.sns li {
  display: inline-block;
  padding: 0 10px;
}

footer ul.sns li img {
  width: 30px;
}

footer ul.sitelink {
  padding: 0;
}


@media (max-width: 850px) {
  .section-title {
    margin: 0.3rem 0 2rem;
  }

  #menu {
    font-size: 1.1rem;
  }

  /*-------------------------------------------
News
-------------------------------------------*/
  #news {
    padding: 3rem 2rem 0;
  }

  #news ul {
    margin: 20px 0 0;
  }

  /*-------------------------------------------
SCHEDULE
-------------------------------------------*/
  #schedule {
    padding: 3rem 2rem 0;
  }

  .marquee {
    border-width: 0 20px;
  }

  .frame-top,
  .frame-bottom {
    width: calc(100% + 39px);
    margin-left: -19px;
    margin-top: 20px;
  }

  .frame-bottom {
    margin-top: 0;
  }

  #schedule .content {
    padding: 15px 3% 1rem;
  }

  #schedule table tr:first-child th {
    font-size: 12px;
  }

  #schedule table .date {
    width: 12%;
  }

  #schedule table .venue_area {
    width: 30%;
  }

  #schedule table .time {
    width: 18%;
  }

  #schedule table td.date {
    font-size: 18px;
  }

  #schedule table .date .week {
    font-size: 12px;
  }

  #schedule table .date {
    padding-left: 0px;
  }

  #schedule table td.time {
    font-size: 15px;
  }

  #schedule table td.venue {
    font-size: 12px;
    width: 40%;
  }

  #schedule table .venue {
    width: 30%;
    line-height: 1.5;
  }

  #schedule table .venue_wrap {
    display: flex;
    align-items: center;
    font-weight: bold;
    padding: 0 0 0 10px;
  }

  #schedule table td .venue_area {
    font-size: 18px;
  }

  #schedule table td .venue_place {
    font-size: 18px;
  }

  /*-------------------------------------------
TICKET
-------------------------------------------*/
  #ticket {
    padding: 3rem 2rem 0;
  }

  #ticket .content {
    margin-top: 20px;
  }

  .ticket-price {
    max-width: 410px;
  }

  .ticket-price span:nth-child(1) {
    font-size: 25px;
  }

  .ticket-price span:nth-child(2) {
    font-size: 25px;
  }

  /*-------------------------------------------
MOVIE
-------------------------------------------*/
  .film {
    margin-top: 20px;
  }

  iframe {
    width: calc(100vw / 1.5);
    height: auto;
    object-fit: contain;
  }
}

@media (max-width: 642px) {
  #schedule table .date .week {
    font-size: 12px;
    margin-left: 0px;
  }

  #schedule table .date {
    width: 10%;
  }
}

:root {
  --base-width: 578;
}